GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IMemAllocator Class Reference
GTPin: Utilities

< uint64_t scattered bit field More...

`#include <gt_basic_defs.h>`

Inherited by gtpin::IGtCore.

## Public Member Functions
virtual void * | Allocate (size_t size, size_t alignment=8)=0
| Allocate memory block of the specified size and alignment.
virtual void | Deallocate (void *ptr) noexcept=0
| Deallocate memory block previously allocated by Allocate()

## Detailed Description

< uint64_t scattered bit field

Abstract low-level interface to the memory storage

## Member Function Documentation

virtual void* gtpin::IMemAllocator::Allocate | ( | size_t | size,
|  | size_t | alignment = `8`
| ) |  | `[pure virtual]`

Allocate memory block of the specified size and alignment.

Parameters:

  [in] | size | Number of bytes to allocate
  [in] | alignment | Required alignment of the memory block

Returns:
  Pointer to suitably aligned memory block, or null pointer on allocation failure

virtual void gtpin::IMemAllocator::Deallocate | ( | void * | ptr | ) | `[pure virtual]`

Deallocate memory block previously allocated by Allocate()

Parameters:

  [in] | ptr | Pointer to a memory block to deallocate or a null pointer

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT